Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045522
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discounts and Promotionsmajorhave not tried2020-11-27 11:202020-12-10 13:14
ReporterrafarodaView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045522: 10.000 hardcoded limitation on records evaluated by the Promo Engine

Description10.000 hardcoded limitation on records evaluated by the Promo Engine

How to overcome it?
Steps To ReproduceHave a Discount and Promotion of any type

For instance, in the Product tab, add 12.000 products

The WebPOS DiscountFilterByProduct local database IndexedDB table you will have the 12.000 products

But the Promo engine will only evaluate 10.000 of them: meaning if some of the products is in the 2.000 not evaluated you will not have the promo applied when that product is added to the ticket
Proposed SolutionBeing able to configure in backend the 10.000 limit and adjust it depending on the PC hardware processing capabilities
TagsNOR, Performance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124724)
hgbot (developer)
2020-12-08 07:56

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/202 [^]
(0124725)
hgbot (developer)
2020-12-08 07:57

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/10 [^]
(0124757)
hgbot (developer)
2020-12-10 13:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/merge_requests/10 [^]
(0124758)
hgbot (developer)
2020-12-10 13:14

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts [^]
Changeset: 41a48c87727d2e3f5dc47c1b402266e74272407f
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-12-10T15:31:11+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.discounts/-/commit/41a48c87727d2e3f5dc47c1b402266e74272407f [^]

Fixed BUG-45522: Changed hardcoded criteria limit to be based on preference(Discounts cache size)

---
M web/org.openbravo.retail.discounts/app/model/business-logic/discounts-engine/interface/discount-posinterface.js
---
(0124759)
hgbot (developer)
2020-12-10 13:14

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: dab71a8710a5f682943fb84c42c53a41a22958aa
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-12-10T15:33:41+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/dab71a8710a5f682943fb84c42c53a41a22958aa [^]

Related to BUG-45522: Added new preference(Discounts cache size) to fix hardcoded criteria limit in discounts

---
M src-db/database/sourcedata/AD_REF_LIST.xml
---
(0124760)
hgbot (developer)
2020-12-10 13:14

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/202 [^]

- Issue History
Date Modified Username Field Change
2020-11-27 11:20 rafaroda New Issue
2020-11-27 11:20 rafaroda Assigned To => Retail
2020-11-27 11:20 rafaroda Triggers an Emergency Pack => No
2020-11-27 11:20 rafaroda Tag Attached: NOR
2020-11-27 11:20 rafaroda Tag Attached: Performance
2020-12-04 06:36 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-12-07 09:13 prakashmurugesan88 Status new => scheduled
2020-12-08 07:56 hgbot Note Added: 0124723
2020-12-08 07:56 hgbot Note Added: 0124724
2020-12-08 07:57 hgbot Note Added: 0124725
2020-12-10 11:18 prakashmurugesan88 Note Deleted: 0124723
2020-12-10 13:14 hgbot Note Added: 0124757
2020-12-10 13:14 hgbot Resolution open => fixed
2020-12-10 13:14 hgbot Status scheduled => closed
2020-12-10 13:14 hgbot Fixed in Version => RR21Q1
2020-12-10 13:14 hgbot Note Added: 0124758
2020-12-10 13:14 hgbot Note Added: 0124759
2020-12-10 13:14 hgbot Note Added: 0124760


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker